<lib-condensed-header-layout
  *transloco="let t"
  [useMaximumBackground]="true"
  class="ion-page"
>
  <ion-grid class="ion-no-padding flex-list-subsections" id="mainAppFeedback">
    <ion-row class="flex-list-lines">
      <p class="header">
        {{ t('feature_app_feedback.additional-actions.thanks') }}
      </p>
      <p class="sub-header">
        {{ t('feature_app_feedback.additional-actions.sub_headings') }}
      </p>
    </ion-row>
    <ion-row>
      <ion-col>
        <lib-custom-vertical-button
          [buttonType]="customButtonType.link"
          [colorScheme]="customButtonColorScheme.main"
          [replaceUrl]="true"
          [routerLink]="forYouRoute"
          [startIcon]="'arrow_forward'"
          [title]="t('feature_app_feedback.additional-actions.go_app')"
        ></lib-custom-vertical-button>
      </ion-col>
    </ion-row>

    <ion-row class="flex-list-lines">
      <h3>
        {{
          t('feature_app_feedback.additional-actions.want_to_do_more_header')
        }}
      </h3>
      <p>
        {{
          t(
            'feature_app_feedback.additional-actions.want_to_do_more_subheader',
            { address: 'Marktstraße 20a' }
          )
        }}
      </p>
      <ion-list class="flex-list-lines" lines="none">
        <ion-item>
          <h4>
            <a
              (click)="navigateToHelpLocation()"
              [title]="
                t('feature_help.dashboard.listing.location', {
                  street: 'Marktstraße 20a',
                })
              "
              href="javscript:void(0)"
            >
              <lib-general-icon
                [size]="iconFontSize.large"
                [type]="iconType.materialIconsOutlined"
                name="location_on"
                slot="start"
              ></lib-general-icon>
              {{
                t(
                  'feature_app_feedback.additional-actions.want_to_do_more_address',
                  { address: 'Marktstraße 20a' }
                )
              }}
            </a>
          </h4>
        </ion-item>
        <ion-item>
          <h4>
            <a
              [title]="
                t('feature_help.dashboard.listing.phone', {
                  number: '02921 / 103-5229',
                })
              "
              href="tel:+4929211030"
            >
              <lib-general-icon
                [size]="iconFontSize.large"
                [type]="iconType.materialIconsOutlined"
                name="phone"
                slot="start"
              ></lib-general-icon>
              {{
                t(
                  'feature_app_feedback.additional-actions.want_to_do_more_call',
                  { number: '02921 / 103 - 0' }
                )
              }}
            </a>
          </h4>
        </ion-item>
        <ion-item>
          <h4>
            <a
              [title]="
                t('feature_help.dashboard.listing.email', {
                  emailAddress: 'stadtlabor@soest.de',
                })
              "
              href="mailto:stadtlabor@soest.de"
            >
              <lib-general-icon
                [size]="iconFontSize.large"
                [type]="iconType.materialIconsOutlined"
                name="email"
                slot="start"
              ></lib-general-icon>
              {{
                t(
                  'feature_app_feedback.additional-actions.want_to_do_more_mail',
                  { email: 'stadtlabor@soest.de' }
                )
              }}
            </a>
          </h4>
        </ion-item>
      </ion-list>
    </ion-row>
  </ion-grid>
</lib-condensed-header-layout>
